/**
 * AJAX helper for the inline editing a value.
 *
 * This script is automatically included from template core/inplace_editable
 * It registers a click-listener on [data-inplaceeditablelink] link (the "inplace edit" icon),
 * then replaces the displayed value with an input field. On "Enter" it sends a request
 * to web service core_update_inplace_editable, which invokes the specified callback.
 * Any exception thrown by the web service (or callback) is displayed as an error popup.
 *
 * @module     core/inplace_editable
 * @copyright  2016 Marina Glancy
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @since      3.1
 */
define("mod_peerwork/inplace_editable",["jquery","core/ajax","core/templates","core/notification","core/str"],(function($,ajax,templates,notification,str){var itemid,warningshown=!1,handleInplaceEdit=function(){warningshown=!0,document.querySelectorAll(".inplace-grading.cell").forEach((function(td){td.removeEventListener("click",beforeDueDate,!0),td.removeEventListener("keypress",beforeDueDate,!0)})),document.querySelector("[data-itemid='"+itemid+"'] [data-inplaceeditablelink]").click()},stopInplaceEdit=function(){return!0},beforeDueDate=function(e){"keypress"===e.type&&13!==e.keyCode||(e.stopImmediatePropagation(),e.preventDefault(),itemid=e.target.closest(".inplaceeditable").dataset.itemid,str.get_strings([{key:"confirmeditgradetxt",component:"mod_peerwork"}]).done((function(s){var message,onconfirm,onreject;message=s[0],onconfirm=handleInplaceEdit,onreject=stopInplaceEdit,str.get_strings([{key:"confirmeditgrade",component:"mod_peerwork"},{key:"yes",component:"core"},{key:"no",component:"mod_peerwork"}]).done((function(s){notification.confirm(s[0],message,s[1],s[2],onconfirm,onreject)}))})))};return document.querySelectorAll(".inplace-grading.cell").forEach((function(td){return warningshown||(td.addEventListener("click",beforeDueDate,!0),td.addEventListener("keypress",beforeDueDate,!0)),!1})),{}}));

//# sourceMappingURL=inplace_editable.min.js.map